curl --request POST \
--url https://api.eka.care/abdm/uhi/v1/physical-consultation/search/doctors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"district_code": "295",
"district_name": "Bengaluru Urban",
"doctor_name": "Ganesh",
"end_time": "2025-08-05T23:59:59Z",
"facility_name": "Apollo Hospital",
"hpr_id": "<string>",
"latitude": "12.9716",
"longitude": "77.5946",
"pincode": "560001",
"radius_km": "10",
"speciality": "CARDIOLOGY",
"start_time": "2025-08-05T00:00:00Z",
"state_code": "29",
"state_name": "Karnataka"
}
'import requests
url = "https://api.eka.care/abdm/uhi/v1/physical-consultation/search/doctors"
payload = {
"district_code": "295",
"district_name": "Bengaluru Urban",
"doctor_name": "Ganesh",
"end_time": "2025-08-05T23:59:59Z",
"facility_name": "Apollo Hospital",
"hpr_id": "<string>",
"latitude": "12.9716",
"longitude": "77.5946",
"pincode": "560001",
"radius_km": "10",
"speciality": "CARDIOLOGY",
"start_time": "2025-08-05T00:00:00Z",
"state_code": "29",
"state_name": "Karnataka"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
district_code: '295',
district_name: 'Bengaluru Urban',
doctor_name: 'Ganesh',
end_time: '2025-08-05T23:59:59Z',
facility_name: 'Apollo Hospital',
hpr_id: '<string>',
latitude: '12.9716',
longitude: '77.5946',
pincode: '560001',
radius_km: '10',
speciality: 'CARDIOLOGY',
start_time: '2025-08-05T00:00:00Z',
state_code: '29',
state_name: 'Karnataka'
})
};
fetch('https://api.eka.care/abdm/uhi/v1/physical-consultation/search/doctors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"order_id": "<string>",
"provider_id": "<string>",
"txn_id": "<string>"
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}Search doctors
This api is used to search for doctors.
Authorizations
The API requires a Bearer token (JWT) for authentication.
Headers
Eka User ID (OID)
Partner User ID
Partner HIP ID
Body
Search doctor by District code
"295"
Search doctor by District name
"Bengaluru Urban"
Search doctor by Name
"Ganesh"
End time for doctor availability (24H format)
"2025-08-05T23:59:59Z"
Search doctor by Facility/Hospital name
"Apollo Hospital"
Search doctor by HPR ID
Latitude for location-based search
"12.9716"
Longitude for location-based search
"77.5946"
Search doctor by Pincode
"560001"
Radius in kilometers for location-based search
"10"
Search doctor by Speciality
"CARDIOLOGY"
Start time for doctor availability (24H format)
"2025-08-05T00:00:00Z"
Search doctor by State code
"29"
Search doctor by State name
"Karnataka"
Was this page helpful?

